@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;    
}

:root {
    --primary: #00a6a6;
    --secondary: #ffd700;
    --primary-light: rgba(162, 222, 222, 0.6);
    touch-action: pan-x pan-y;
    height: 100%;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: "Montserrat", sans-serif;
    background: url("media/fade.jpg");
    background-size: 100vw 100vh;
    background-attachment: fixed;
    background-repeat: no-repeat;
    background-position: center;
    overflow-x: hidden;
    overflow-y: scroll;
}

nav {
    display: flex;
    justify-content: center;
    padding: 1rem 1rem;
    font-size: 1.12rem;
    font-weight: 700;
    border-bottom: 0.1px solid rgb(231, 237, 241);
    width: 100vw;
    /* background-color: rgba(111, 198, 225, 0.2);  */
}

nav ul {
    list-style-type: none;
    display: flex;
}

nav li {
    margin-inline: 1rem;
} 

nav li a {
    text-decoration: none;
    color: black;
    padding: 0.4rem;
}

nav li a:hover, .animate span {
    color: var(--primary);
    text-decoration: underline;
    text-underline-offset: 6px;
    text-decoration-color: var(--secondary);
    text-decoration-thickness: 3px;
}

.sidebar {
    position: fixed;
    top: 0;
    right: 0;
    height: 100vh;
    width: 100vw;
    z-index: 999;
    box-shadow: -10px 0 10px rgba(0, 0, 0, 0.1);
    display: none;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    -webkit-backdrop-filter: blur(10px);
    backdrop-filter: blur(10px);
    transform: translate3d(0, 0, 0);
}

.sidebar li:first-child:hover, .sidebar li:first-child:focus {
    transform: scale(1.3);
    transition: transform 0.5s;
}

.sidebar li {
    margin: 16px 16px;
}

.sidebar li:first-child {
    align-self: flex-end;
    /* animation: roll 0.6s ease-out forwards; */
}

.sidebar a {
    text-decoration: none;
}

.menu-btn {
    display: none;
}

.wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    height: calc(100vh - 3.4rem);
}

.animate {
    text-align: center;
    margin: 0 30px;
    text-wrap: wrap;
}

h1 {
    font-size: 80px;
}

.animate span {
    color: var(--primary);
    font-weight: 600;
}

.static-txt, .dynamic-txt {
    font-size: 2.1rem;
}

.title {
    margin: 0 auto;
    width: 60%;
    height: 10%;
    text-align: center;
    text-decoration: underline;
    text-underline-offset: 6px;
    text-decoration-color: var(--secondary);
    text-decoration-thickness: 3px;
    border-radius: 10rem;
    font-weight: 700;
    font-size: 48px;
    display: flow-root;
}

.unselectable {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.intro-sec {
    background-color: var(--primary-light);
    border: 1px solid var(--secondary);
    margin: 3rem auto;
    width: 80%;
    height: fit-content;
    display: flow-root;
}

.img-block {
    clip-path: polygon(0 0, 100% 0%, calc(100% - 20%) 100%, 0% 100%);
    shape-outside: polygon(0 0, 100% 0%, calc(100% - 20%) 100%, 0% 100%);
    max-width: 500px;
    max-height: 520px;
    margin-right: 10px;
}

.left {
    float: left;
}

.desc p {
    display: block;
    line-height: 1.5rem;
    font-size: 1.1rem;
    font-weight: 500;
    color: #333;
    text-align: justify;
    margin: 16px 16px 0;
}

.intro-sec a, .credits a {
    text-underline-offset: 4px;
    color: var(--primary);
}

a:hover:not(nav a) {
    font-weight: 600;
}

.ca-main {
    margin: 3rem 3.5rem 3rem;
    height: fit-content;
    display: flex;
    justify-content: center;
    font-weight: 500;
    flex-wrap: wrap;
}

.dotted-circle {
    border: 4px dotted var(--primary);
    width: 180px;
    height: 180px;
    border-radius: 90px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 1rem 3rem;
}

.dotted-circle:nth-child(even) {
    border: 4px dotted var(--secondary);
}

.ca-img {
    width: 100px;
    height: 100px;
}

.credits {
    height: max-content;
    line-height: 25px;
    text-align: center;
    padding: 0.2rem 0;
    font-weight: 500;
    font-size: 14px;
}

.container-2 {
    display: flex;
    margin: 3rem auto;
    width: 80vw;
    height: 80vh;
    overflow-x: scroll;
    overflow-y: hidden;
}

.card {
    display: flex;
    width: 450px;
    height: 400px;
    /* border: 1px solid rgb(179, 178, 178); */
    justify-content: center;
    align-items: flex-start;
    flex-direction: column;
    flex-shrink: 0;
    margin: auto 30px;
    /* box-shadow: 0 0 13px grey; */
    border-top-left-radius: 15%;
    border-top-right-radius: 15%;
    border-bottom-left-radius: 15%;
    border-bottom-right-radius: 15%;
}

.card a {
    display: contents;
    text-decoration: none;
}

.card-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    overflow: hidden;
    border-top-left-radius: 15%;
    border-top-right-radius: 15%;
}

.card-title {
    color: var(--primary);
    font-weight: 600;
    width: 100%;
    height: 60px;
    background-color: whitesmoke;
    text-align: center;
    padding-top: 15px;
    border-top: 1px solid var(--primary);
    border-bottom-left-radius: 30%;
    border-bottom-right-radius: 30%;
}

@keyframes slide {

    0% {
        transform: translateX(100%);
    }

    100% {
        transform: translateX(0%);
    }
}

@keyframes slide-rev {

    0% {
        transform: translateX(0%);
    }

    100% {
        transform: translateX(100%);
    }
}

@keyframes roll {

    0% {
        transform: translateX(0%) rotate(0deg);
    }

    100% {
        transform: translateX(-80vw) rotate(-900deg);
    }
}

@media (max-width: 800px) {

    .hideonmobile {
        display: none;
    }
    
    .menu-btn {
        display: inline-block;
    }

    nav {
        justify-content: flex-end;
        font-size: 24px;
        box-shadow: 0 4px 35px 25px rgba(137, 204, 204, 0.6) inset;
    }

    h1 {
        font-size: 40px;
    }

    .static-txt, .dynamic-txt {
        font-size: 20px;
    }

    .title {
        font-size: 20px;
    }

    .desc p {
        font-size: 15px;
    }

    .intro-sec {
        display: flex;
        flex-direction: column;
        justify-content: center;
    }

    .img-block {
        align-self: center;
        clip-path: none;
        shape-outside: none;
        margin: 13px 13px 0;
        width: 90%;
    }

    .clear {
        clear: right;
    }

    .ca-img {
        width: 35px;
        height: 35px;
    }

    .dotted-circle {
        width: 100px;
        height: 100px;
        margin: 5px 5px;
        border: 2px dotted var(--primary);
    }

    .dotted-circle:nth-child(even) {
        border: 2px dotted var(--secondary);
    }

    body {
        background: url("media/fade_small.jpg");
    }

    .container-2 {
        overflow-x: hidden;
        overflow-y: scroll;
        flex-direction: column;
        align-items: center;
    }

    .card {
        margin: 30px 0;
        width: 300px;
        height: 250px;
    }

}

@media (min-width: 1740px) {

    .desc p {
        font-size: 1.7rem;
        line-height: 2.5rem;
    }

    .credits {
        font-size: 1.7rem;
        line-height: 45px;
    }

    nav {
        font-size: 1.7rem;
    }

    .card-title {
        font-size: 1.3rem;
    }

    .container-2 {
        justify-content: space-around;
    }
}